{{- if .Values.landing.enable -}}
apiVersion: v1
kind: Service

metadata:
  name: {{ include "application.type" . }}-landing-service
  namespace: {{ .Release.Namespace }}
  labels:
    cattle.io/creator: norman
    app: {{ .Values.client.type }}
    chart: {{ include "nemobileapp.chart" . }}
    release: {{ .Release.Name }}

spec:
  clusterIP: None
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: {{ .Values.client.type }}
    component: {{ include "application.type" . }}-landing
    release: {{ .Release.Name }}
  type: ClusterIP

{{- end -}}
